<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AFML/include/AFML/FocusManager.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_15a1dcf98404372b5aa31671439f6987.html">AFML</a></li><li class="navelem"><a class="el" href="dir_275bd4c7f9218fea92087aadc583fdf2.html">include</a></li><li class="navelem"><a class="el" href="dir_f6d6b70c5306129e9516277034a058e2.html">AFML</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">FocusManager.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;map&gt;</code><br />
<code>#include &lt;mutex&gt;</code><br />
<code>#include &lt;set&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;unordered_set&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;<a class="el" href="_channel_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/ChannelObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_focus_manager_interface_8h_source.html">AVSCommon/SDKInterfaces/FocusManagerInterface.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_channel_8h_source.html">AFML/Channel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_activity_tracker_interface_8h_source.html">AFML/ActivityTrackerInterface.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_executor_8h_source.html">AVSCommon/Utils/Threading/Executor.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for FocusManager.h:</div>
<div class="dyncontent">
<div class="center"><img src="_focus_manager_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_f_m_l_2include_2_a_f_m_l_2_focus_manager_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_f_m_l_2include_2_a_f_m_l_2_focus_manager_8h" id="_2workplace_2avs-device-sdk_2_a_f_m_l_2include_2_a_f_m_l_2_focus_manager_8h">
<area shape="rect" id="node8" href="_channel_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ChannelObserverInterface.h" alt="" coords="279,265,471,304"/>
<area shape="rect" id="node11" href="_focus_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/FocusManagerInterface.h" alt="" coords="388,179,578,217"/>
<area shape="rect" id="node15" href="_channel_8h.html" title="AFML/Channel.h" alt="" coords="602,185,724,211"/>
<area shape="rect" id="node17" href="_activity_tracker_interface_8h.html" title="AFML/ActivityTrackerInterface.h" alt="" coords="564,105,775,131"/>
<area shape="rect" id="node18" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="900,179,1095,217"/>
<area shape="rect" id="node9" href="_focus_state_8h.html" title="AVSCommon/AVS/FocusState.h" alt="" coords="329,352,541,377"/>
<area shape="rect" id="node14" href="_focus_manager_observer_interface_8h.html" title="FocusManagerObserverInterface.h" alt="" coords="26,272,254,297"/>
<area shape="rect" id="node24" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="988,265,1183,304"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_focus_manager_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_f_m_l_2include_2_a_f_m_l_2_focus_manager_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_f_m_l_2include_2_a_f_m_l_2_focus_manager_8hdep" id="_2workplace_2avs-device-sdk_2_a_f_m_l_2include_2_a_f_m_l_2_focus_manager_8hdep">
<area shape="rect" id="node2" href="_focus_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AFML/src/FocusManager.cpp" alt="" coords="5,119,230,157"/>
<area shape="rect" id="node3" href="_focus_manager_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AFML/test/FocusManager\lTest.cpp" alt="" coords="253,112,457,164"/>
<area shape="rect" id="node4" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="481,105,709,171"/>
<area shape="rect" id="node15" href="_alerts_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlertsIntegrationTest.cpp" alt="" coords="733,112,905,164"/>
<area shape="rect" id="node16" href="_audio_input_processor_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioInputProcessorIntegration\lTest.cpp" alt="" coords="929,105,1141,171"/>
<area shape="rect" id="node17" href="_audio_player_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioPlayerIntegrationTest.cpp" alt="" coords="1165,112,1374,164"/>
<area shape="rect" id="node18" href="_speech_synthesizer_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/SpeechSynthesizerIntegration\lTest.cpp" alt="" coords="1399,105,1602,171"/>
<area shape="rect" id="node5" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="329,219,557,271"/>
<area shape="rect" id="node6" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="482,319,705,371"/>
<area shape="rect" id="node13" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="634,219,849,271"/>
<area shape="rect" id="node7" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="258,419,476,471"/>
<area shape="rect" id="node12" href="_interaction_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/Interaction\lManager.cpp" alt="" coords="500,419,706,471"/>
<area shape="rect" id="node8" href="_sample_application_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="257,519,476,571"/>
<area shape="rect" id="node11" href="_user_input_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UserInput\lManager.cpp" alt="" coords="500,519,703,571"/>
<area shape="rect" id="node9" href="main_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/main.cpp" alt="" coords="268,619,466,657"/>
<area shape="rect" id="node10" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="546,619,826,657"/>
<area shape="rect" id="node14" href="_keyword_observer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/KeywordObserver.cpp" alt="" coords="780,325,1055,364"/>
</map>
</div>
</div>
<p><a href="_focus_manager_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">alexaClientSDK::afml::FocusManager</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_focus_manager_1_1_channel_configuration.html">alexaClientSDK::afml::FocusManager::ChannelConfiguration</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1afml"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html">alexaClientSDK::afml</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
